Bug 1320583 - Review Request: php-swiftmailer - Free Feature-rich PHP Mailer
Summary: Review Request: php-swiftmailer - Free Feature-rich PHP Mailer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 14:37 UTC by Remi Collet
Modified: 2016-08-14 16:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-29 19:32:55 UTC
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2016-03-23 14:37:44 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/b5638bc9dfd63fb85c200aaee5e282c4099ad2fb/php/php-swiftmailer/php-swiftmailer.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-swiftmailer-5.4.1-1.remi.src.rpm
Description: 
Swift Mailer integrates into any web app written in PHP, offering a 
flexible and elegant object-oriented approach to sending emails with 
a multitude of features.

Fedora Account System Username: remi

Comment 1 Remi Collet 2016-03-23 14:43:08 UTC
At least owncloud 8 need it (8.2 bundles 5.3) and old pear version 5.0 is really old.

Not yet compatible with PHP 7 (even git master still have some failed tests)

This version also works with Monolog (~5.3)

Comment 2 James Hogarth 2016-03-24 14:30:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

 * EPEL5 stuff to be stripped after initial import.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 296 files have
     unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1320583-php-
     swiftmailer/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 163840 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET
     static analyze results in /home/james/workspace/fedora-scm/1320583
     -php-swiftmailer/phpci.log


Rpmlint
-------
Checking: php-swiftmailer-5.4.1-1.fc25.noarch.rpm
          php-swiftmailer-5.4.1-1.fc25.src.rpm
php-swiftmailer.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-swiftmailer.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-swiftmailer.src: W: spelling-error %description -l en_US usr -> use, us, user
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-swiftmailer.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
php-swiftmailer (rpmlib, GLIBC filtered):
    php(language)
    php-bcmath
    php-ctype
    php-date
    php-hash
    php-iconv
    php-mbstring
    php-mcrypt
    php-mhash
    php-openssl
    php-pcre
    php-reflection
    php-simplexml
    php-spl



Provides
--------
php-swiftmailer:
    php-composer(swiftmailer/swiftmailer)
    php-swiftmailer



Source checksums
----------------
https://github.com/swiftmailer/swiftmailer/archive/0697e6aa65c83edf97bb0f23d8763f94e3f11421/swiftmailer-5.4.1-0697e6a.tar.gz :
  CHECKSUM(SHA256) this package     : 71c37553af0a28da7f567d903f36e10a4d1bdf32bd7f39ba74872d13a8e59930
  CHECKSUM(SHA256) upstream package : 71c37553af0a28da7f567d903f36e10a4d1bdf32bd7f39ba74872d13a8e59930


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1320583
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

==== Result ====

APPROVED (with the EPEL5 boilerplate removed after import)

Comment 3 Remi Collet 2016-03-24 14:36:31 UTC
Thanks for the review.

SCM request open on pkgdb.

Comment 4 Shawn Iwinski 2016-03-24 14:38:56 UTC
Thanks for submitting this pkg since I never got to it!

Comment 5 Gwyn Ciesla 2016-03-24 22:33:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-swiftmailer

Comment 6 Fedora Update System 2016-03-25 08:14:42 UTC
php-swiftmailer-5.4.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3d4bb9e55

Comment 7 Fedora Update System 2016-03-25 08:14:50 UTC
php-swiftmailer-5.4.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fd018d4b5

Comment 8 Fedora Update System 2016-03-25 08:14:54 UTC
php-swiftmailer-5.4.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e25a353474

Comment 9 Fedora Update System 2016-03-25 08:14:58 UTC
php-swiftmailer-5.4.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35b317eeb6

Comment 10 Fedora Update System 2016-03-25 20:27:23 UTC
php-swiftmailer-5.4.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fd018d4b5

Comment 11 Fedora Update System 2016-03-25 23:48:04 UTC
php-swiftmailer-5.4.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3d4bb9e55

Comment 12 Fedora Update System 2016-03-26 14:18:56 UTC
php-swiftmailer-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35b317eeb6

Comment 13 Fedora Update System 2016-03-26 15:19:38 UTC
php-swiftmailer-5.4.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e25a353474

Comment 14 Fedora Update System 2016-03-29 19:32:52 UTC
php-swiftmailer-5.4.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-04-03 17:51:29 UTC
php-swiftmailer-5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-04-03 21:48:29 UTC
php-swiftmailer-5.4.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-04-13 05:56:20 UTC
php-swiftmailer-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.